Summary: The zlib compression and decompression library.
Name: zlib
Version: 1.1.4
Release: 1tr
Group: Libraries/Runtime
Source: http://www.gzip.org/zlib/zlib-%{version}.tar.gz
PAtch0: zlib-1.1.3-glibc.patch
Url: http://www.gzip.org/zlib/
License: BSD
Buildroot: /var/tmp/zlib-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package devel
Summary: Header files and libraries for developing apps which will use zlib.
Group: Libraries/Development
Requires: zlib

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.

%prep
%setup -q
%patch0 -p1

%build
./configure --prefix=/usr --shared
make
# now build the static lib
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

./configure --shared --prefix=/usr
make install prefix=$RPM_BUILD_ROOT/usr

./configure --prefix=/usr
make install prefix=$RPM_BUILD_ROOT/usr

install -m644 zutil.h $RPM_BUILD_ROOT/usr/include/zutil.h
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man3
install -m644 zlib.3 $RPM_BUILD_ROOT/usr/share/man/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libz.so.*

%files devel
%defattr(-,root,root)
%doc README ChangeLog algorithm.txt
/usr/lib/*.so
/usr/include/*
/usr/lib/*.a
/usr/share/man/man3/zlib.3*

%changelog
* Thu Mar 14 2002 Erlend Midttun <erlendbm@trustix.com>
- Upgraded to 1.1.4 to fix double free security issue.

* Tue Jan 25 2000 Tore Olsen <toreo@trustix.com>
- moved /usr/man to /usr/share/man for FHS compliance

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
